package GUIAnwendungen.Meine_GUI_Chat;

import java.awt.EventQueue;
import java.util.Scanner;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.Color;
import javax.swing.JList;
import javax.swing.JTable;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.Font;
import javax.swing.JLabel;

public class Chat_Fenster extends JFrame {

	 JPanel contentPane;
	 JTextField eingabeNachricht;
	 JTextArea nachrichtAnzeigen;
	 JButton sendeNachricht;
	 private JPanel panel;
	 JLabel userName;

	public Chat_Fenster() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 460, 665);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));

		setContentPane(contentPane);
		contentPane.setLayout(null);

		nachrichtAnzeigen = new JTextArea();
		nachrichtAnzeigen.setLineWrap(true);
		nachrichtAnzeigen.setFont(new Font("Tahoma", Font.BOLD, 13));
		nachrichtAnzeigen.setForeground(new Color(0, 128, 255));
		nachrichtAnzeigen.setEnabled(false);
		nachrichtAnzeigen.setBounds(10, 11, 311, 516);
		contentPane.add(nachrichtAnzeigen);

		eingabeNachricht = new JTextField();
		eingabeNachricht.setBounds(10, 538, 227, 31);
		contentPane.add(eingabeNachricht);
		eingabeNachricht.setColumns(10);

		sendeNachricht = new JButton("sendeNachricht");
		sendeNachricht.setBounds(247, 542, 135, 27);
		contentPane.add(sendeNachricht);
		
		panel = new JPanel();
		panel.setBackground(new Color(0, 128, 255));
		panel.setBounds(331, 11, 103, 168);
		contentPane.add(panel);
		panel.setLayout(null);
		
		userName = new JLabel("New label");
		userName.setBounds(10, 11, 83, 36);
		panel.add(userName);
		
		this.setVisible(true);
		
	}
	
	public void sendText(String nachricht) {
		nachrichtAnzeigen.append(nachricht);
		nachrichtAnzeigen.append("\n");
	}
	
	public void zeigeName(String name) {
		userName.setText(name);
	}

	public JTextField getEingabeNachricht() {
		return eingabeNachricht;
	}

	public JButton getSendeNachricht() {
		return sendeNachricht;
	}
	
	
	
	
}
